{% extends 'Emails/base.html.twig' %}

{% block email_content %}
  <table align='center' bgcolor='#fff' border='0' cellpadding='0' cellspacing='0' id='backgroundTable'
         style='background: #fff;'>
    <tr>
      <td style="padding: 20px;line-height: 1.4;">
        <p>
          {{ 'email.pratica.dear'|trans({'%user_name%' : user_name}, null, locale)|striptags }}
        </p>
        <p>{{ ('email.pratica.user.' ~ pratica.statusName|replace({'_':'.'})|lower)|trans({'%servizio%': pratica.servizio.name, '%pratica_id%': pratica.id, '%protocollo%': pratica.numeroProtocollo, '%data_acquisizione%': data_acquisizione, '%ora_acquisizione%': ora_acquisizione, '%data_protocollo%': data_protocollo, '%ora_protocollo%': ora_protocollo, '%data_corrente%':data_corrente }, null, locale)|raw }}</p>

        {% if pratica.status == constant('STATUS_PAYMENT_PENDING', pratica) and pratica.servizio.isPaymentDeferred %}
          <p>
            {{ 'email.pratica.payment_link'|trans({}, null, locale) }}<br/>
            {% set application_url = absolute_url(path('pratiche_compila', {'pratica': pratica, '_locale': locale})) %}
            {% if pratica.user.anonymous %}
              <a href="{{ absolute_url(path('login_token', {'token': pratica.user.confirmationToken})) }}&return-url={{ application_url }}">{{ 'pratica.vai_al_pagamento'|trans }}</a>
            {% else %}
              <a href="{{ application_url }}">{{ 'pratica.vai_al_pagamento'|trans({}, null, locale) }}</a>
            {% endif %}
          </p>
        {% else %}
          <p>{{ 'email.pratica.link'|trans({}, null, locale) }}
            {% set application_url = absolute_url(path('pratica_show_detail', {'pratica': pratica, '_locale': locale})) %}
            {% if pratica.user.anonymous %}
              <a href="{{ absolute_url(path('login_token', {'token': pratica.user.confirmationToken})) }}&return-url={{ application_url }}">{{ 'email.detail_application'|trans({}, null, locale) }}</a>
            {% else %}
              <a href="{{ application_url }}">{{ 'email.detail_application'|trans({}, null, locale) }}</a>
            {% endif %}
          </p>
        {% endif %}

        {% if not pratica.getMotivazioneEsito() is empty and not pratica.getEsito() is null %}
          <p>{{ pratica.getMotivazioneEsito()|raw }}</p>
        {% endif %}
        <p>
          {{ 'email.pratica.thanks'|trans({}, null, locale) }}
        </p>
      </td>
    </tr>
  </table>
{% endblock %}
